#-------------------------------------------------------------------------------
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2018
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#-------------------------------------------------------------------------------

#Kill switch settings
KillSwitchEnabled=false
#if KillSwitchEnabled=true, then fill the section of the settings below
KillSwitchUrl=http://9.98.194.169/mobile/KillSwitch.htm
#Should have at least 1
KillSwitchMaxNumberOfTries=3
#The time to wait before checking the kill switch URL if it is not responding
KillSwitchTimeInterval=5
UseWhiteList=true
WhiteListParam=id
UseRandomSample=false
RandomSampleParam=

#Post settings
PostMessageUrl=https://prodqa-collector.tealeaf.ibmcloud.com/collector/collectorPost

PrintScreen=3
Connection=3
MaxStringsLength=300

#Masking settings
HasMasking=true
MaskIdList=com.tealeaf.sp:id\/EditText*,com.tealeaf.sp:id\/login.password,test*
HasCustomMask=true
SensitiveSmallCaseAlphabet=x
SensitiveCapitalCaseAlphabet=X
SensitiveSymbol=#
SensitiveNumber=9

#Sessionization settings
#CookieUrl=http://tealeafdemostore2.demos.ibm.com
#CookieParam=JSESSIONID
#CookiePath=/
#CookieDomain=.tealeafdemostore2.demos.ibm.com
CookieUrl=http://9.19.145.126
#CookieUrl=9.19.162.187
CookieParam=TLTSID
CookiePath=/
CookieDomain=.9.19.145.1
#CookieDomain=.9.19.162.187
#Whether you want to add an expires property on the cookie which will be offset + SessionTimeout value
#When post is sent, expiration of cookie will be current time + session timeout
CookieExpires=false
#Whether you want to create a secure cookie which can only be sent using a https url in PostMessageUrl.
CookieSecure=false
#Valid date formats: ASCTIME, RFC1036, RFC1123
CookieExpiresFormat=ASCTIME
#Session timeout is in minutes, set to 0 if session timeout is not needed and depend on cookie instead
SessionTimeout=30
#Call killswitch for a new session id
SessionTimeoutKillSwitch=false

#Image settings
# You can have PNG or JPG
ScreenshotFormat=PNG
# Percentage of screen capture's original pixel dimensions at which posted screen captures are submitted from 1 to 100.
PercentOfScreenshotsSize=50
# Percentage to compress image which can only be done for jpg images. PNG will ignore and default to 100.
PercentToCompressImage=100

#Capture native layout
LogViewLayoutOnScreenTransition=true
# Current only done on ImageView
GetImageDataOnScreenLayout=true

#Gesture enabled or not
SetGestureDetector=true
CaptureNativeGesturesOnWebview=false

#Auto Geolocation logging enabled or not
LogLocationEnabled=true
LogLocationTries=3
LogLocationTimeout=30

#Auto Instrumentation
# You need to have TeaCuts.jar installed and set below to false to enable
DisableAutoInstrumentation=false

#Saas Integration
AppKey=93b07040e94f4d979ccded272b3a15c1